Subject: Re: [Freesurfer] mri_normalize
From: "Sasha Wolosin" <[email-masked]>
To: <[email-masked]>
Date: Fri, 09 Sep 2005 14:49:34 -0400

OK, this time it worked:
[wolosin@localhost /freesurfer]# cd $SUBJECTS_DIR/2332/mri
[wolosin@localhost mri]# ls
aseg       filled    norm        segment.dat  transforms
brain      flash     nu.mgz      T1           wm
brain.mgz  fsamples  orig        T1.mgz       wm-init.mgz
error.log  mri       rawavg.mgz  tmp          wm.mgz
[wolosin@localhost mri]# cd orig
[wolosin@localhost orig]# mri_info orig.mgz
Volume information for orig.mgz
          type: MGH
    dimensions: 256 x 256 x 124
   voxel sizes: 0.9375, 0.9375, 1.5000
          type: SHORT (4)
           fov: 240.000
        xstart: -112.5, xend: 112.5
        ystart: -112.5, yend: 112.5
        zstart: -139.5, zend: 139.5
            TR: 35.00 msec, TE: 6.00 msec, TI: 0.00 msec, flip angle: 45.00 degrees
       nframes: 1
ras xform present
    xform info: x_r =  -0.9981, y_r =  -0.0056, z_r =   0.0616, c_r =     0.4646              : x_a =  -0.0615, y_a =  -0.0131, z_a =  -0.9980, c_a =     0.9575              : x_s =   0.0064, y_s =  -0.9999, z_s =   0.0127, c_s =    15.7709
talairach xfm : /home/wolosin/subjects/2332/mri/transforms/talairach.xfm
Orientation LIP
Primary Slice Direction coronal

voxel to ras transform:
               -0.9357  -0.0052   0.0923   115.1803
               -0.0576  -0.0122  -1.4970   102.7195
                0.0060  -0.9374   0.0190   133.8122
                0.0000   0.0000   0.0000     1.0000

voxel-to-ras determinant 1.31836

ras to voxel transform:
               -1.0646  -0.0656   0.0068   128.4501
               -0.0060  -0.0139  -1.0666   144.8367
                0.0410  -0.6653   0.0085    62.4846
                0.0000   0.0000   0.0000     1.0000
[wolosin@localhost orig]#

thanks,
Sasha

Sasha Wolosin
Research Assistant
Developmental Cognitive Neurology
Kennedy Krieger Institute
707 N. Broadway
Baltimore, MD 21205
ph: (443) 923-9270
>>> Bruce Fischl <[email-masked]> 09/09/05 1:48 PM >>>
sorry, you have to run it from the subject's mri dir (or use the full 
path)

On Fri, 9 Sep 2005, Sasha Wolosin wrote:

> Here is the result:
>
> [wolosin@localhost /freesurfer]# mri_info orig.mgz
> zcat: /freesurfer/orig.mgz.gz: No such file or directory
> mghRead(/freesurfer/orig.mgz, -1): read error
>
> thanks,
> Sasha
>
> Sasha Wolosin
> Research Assistant
> Developmental Cognitive Neurology
> Kennedy Krieger Institute
> 707 N. Broadway
> Baltimore, MD 21205
> ph: (443) 923-9270
>>>> Bruce Fischl <[email-masked]> 09/09/05 1:23 PM >>>
> Hi Sasha,
>
> can you do:
>
> mri_info orig.mgz
>
> and send us the results?
>
> thanks,
> Bruce
> On Fri, 9 Sep 2005, Sasha Wolosin wrote:
>
>> I am still having problems with mri_normalize.  I have downloaded the latest snapshot- but I still get an error:
>>
>> [wolosin@localhost mri]$ mri_normalize orig.mgz T1.mgz
>> reading from orig.mgz...
>> normalizing image...
>> talairach transform
>> 1.103   0.048  -0.007  -4.504;
>> -0.051   1.166   0.004  -13.012;
>> 0.007  -0.003   1.090  -15.454;
>> 0.000   0.000   0.000   1.000;
>> INFO: Modifying talairach volume c_(r,a,s) based on average_305
>> building Voronoi diagram...
>> performing soap bubble smoothing...
>> 3d normalization pass 1 of 2
>> white matter peak found at 110
>> Segmentation fault
>>
>>
>> I thought it might be a problem with the talairach transform, but I can't figure out how to view this properly.
>>
>> [wolosin@localhost subjects]$ tkregister2 --mgz --s 2335 --fstal --surf orig.mgz
>> surfname set to orig.mgz
>> INFO: no target volume specified, assuming FreeSurfer orig volume.
>> target  volume orig
>> movable volume (null)
>> reg file       (null)
>> LoadVol        1
>> $Id: tkregister2.c,v 1.35 2005/07/12 19:50:28 greve Exp $
>> Diagnostic Level -1
>> talairach.xfm ---------------------
>> 1.103   0.048  -0.007  -4.504;
>> -0.051   1.166   0.004  -13.012;
>> 0.007  -0.003   1.090  -15.454;
>> 0.000   0.000   0.000   1.000;
>> ERROR: cannot determine type of /home/wolosin/subjects/talairach/mri/orig
>>
>> Do you know what I am missing?
>> Any advice is greatly appreciated,
>> Thanks,
>> Sasha
>>
>> Sasha Wolosin
>> Research Assistant
>> Developmental Cognitive Neurology
>> Kennedy Krieger Institute
>> 707 N. Broadway
>> Baltimore, MD 21205
>> ph: (443) 923-9270
>>
>>
>>
>> Disclaimer:
>> The materials in this e-mail are private and may contain Protected Health Information. Please note that e-mail is not necessarily confidential or secure. Your use of e-mail constitutes your acknowledgment of these confidentiality and security limitations. If you are not the intended recipient, be advised that any unauthorized use, disclosure, copying, distribution, or the taking of any action in reliance on the contents of this information is strictly prohibited. If you have received this e-mail in error, please immediately notify the sender via telephone or return e-mail.
>>
>> _______________________________________________
>> Freesurfer mailing list
>> [email-masked]
>> https://mail.nmr.mgh.harvard.edu/mailman/listinfo/freesurfer
>>
>>
>>
>
>
>